View Issue Details

IDProjectCategoryView StatusLast Update
0005006GNUnetsqlite datastorepublic2018-06-07 00:24
Reporteradnan.tumunichAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005006: Fails to compile if you only have sqlite installed
DescriptionFails to compile if you only have sqlite installed
Steps To Reproduce1. Only have sqlite installed
2. Try ./configure and make

Output:
make[3]: Leaving directory '/vagrant/gnunet/src/peerinfo'
Making all in sq
make[3]: Entering directory '/vagrant/gnunet/src/sq'
  CC sq.lo
  CC sq_query_helper.lo
  CC sq_result_helper.lo
  CCLD libgnunetsq.la
libtool: error: require no space between '-L' and '-export-dynamic'
Makefile:709: recipe for target 'libgnunetsq.la' failed
make[3]: *** [libgnunetsq.la] Error 1
make[3]: Leaving directory '/vagrant/gnunet/src/sq'
Makefile:551: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/vagrant/gnunet/src'
Makefile:588: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/vagrant/gnunet'
Makefile:478: recipe for target 'all' failed
make: *** [all] Error 2
TagsNo tags attached.

Activities

Christian Grothoff

2017-05-10 23:41

manager   ~0012125

5031ce907..eb58acdbf might fix this (didn't yet reproduce, don't want to have to remove half of my system ;-). Please let me know if it does / does not fix it and I'll try to properly reproduce.

jah

2017-06-11 00:03

reporter   ~0012248

I've successfully built HEAD without libmysqlclient-dev or libpq-dev:-

./configure --prefix=$MYPATH --with-microhttpd=/usr/local --with-sudo --enable-logging=verbose \
--enable-gcc-hardening --enable-linker-hardening --enable-poisoning --enable-experimental
... much configuring ...
configure: NOTICE: Database support is set to MySQL: false, SQLite: true, Postgres: false

Heiko Stamer

2017-06-25 17:48

reporter   ~0012270

I have also successfully make HEAD on my test system (Debian GNU/Linux 8) with only libsqlite3-dev installed.

ng0

2017-07-02 02:09

developer   ~0012288

Last edited: 2017-07-02 02:20

View 3 revisions

adnan.tumunich: So can this be considered closed and fixed?

Grothoff: We should be closing this as we had 2 positive confirmations of a fixed result.


If the problem should return, please open another bug.

Thanks!

Issue History

Date Modified Username Field Change
2017-05-09 13:20 adnan.tumunich New Issue
2017-05-10 23:41 Christian Grothoff Note Added: 0012125
2017-05-10 23:41 Christian Grothoff Assigned To => Christian Grothoff
2017-05-10 23:41 Christian Grothoff Status new => feedback
2017-05-10 23:41 Christian Grothoff Target Version => 0.11.0pre66
2017-06-11 00:03 jah Note Added: 0012248
2017-06-25 17:48 Heiko Stamer Note Added: 0012270
2017-07-02 02:09 ng0 Note Added: 0012288
2017-07-02 02:19 ng0 Note Edited: 0012288 View Revisions
2017-07-02 02:20 ng0 Note Edited: 0012288 View Revisions
2017-07-02 10:12 Christian Grothoff Status feedback => resolved
2017-07-02 10:12 Christian Grothoff Resolution open => fixed
2017-07-02 10:12 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed